#if !defined( __GENERIC_H__ )
#define __GENERIC_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <inttypes.h>
#include <stdint.h>

// --------------------------------------------------------------------------
// DEFINES                                                                   
// --------------------------------------------------------------------------

// Boolean values

#define TRUE  1
#define FALSE (! TRUE)

#define RC_OK             0
#define RC_ERROR          1
#define RC_BUSY           2

  typedef uint16_t rc_t;
  typedef uint8_t bool_t;

#define RC_COMMANDS_BASE        0
  
#ifndef BIT_ON
#define BIT_ON(VALUE,BIT)    VALUE |= (1 << BIT)
#endif
#ifndef BIT_OFF
#define BIT_OFF(VALUE,BIT)   VALUE &= ~(1 << BIT)
#endif

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
