/*
 *  timer.h
 *  gnc-avr-util
 *
 *  Created by Frank Goenninger on 02.01.08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#if !defined( __TIMER_H__ )
#define __TIMER_H__

#ifdef __cplusplus
extern "C" {
#endif
  
  // --------------------------------------------------------------------------
  // DEFINES                                                                   
  // --------------------------------------------------------------------------

#define PRESCALE16(fclk,fout) ( fclk / fout / 65535 )
#define RV16(fclk,pre,fout) ( 65536 - ( fclk / pre / fout ))
  
  // --------------------------------------------------------------------------
  // Function prototypes
  // --------------------------------------------------------------------------
  
#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
