/*
 *  util.c
 *  gnc-avr-util
 *
 *  Created by Frank Goenninger.
 *  Copyright 2008 Goenninger&Company. All rights reserved.
 *
 *  $Header: /Users/frgo/projects/gt/avr/gaul/RCS/util.c,v 1.2 2009/01/05 17:30:12 frgo Exp $
 */

#include <stdio.h>
#include <stdlib.h>

#include <avr/wdt.h>
#include <avr/interrupt.h>

#include "display.h"

#include "util.h"


void reset( void )
{
  cli();

  wdt_enable( WDTO_15MS ); // Set watchdog to 15 ms
  while( 1 )               // Wait until watchdog kicks in ....
    ;

  // This point should never be reached !
}

void clear_display_and_update_status( void )
{
  clear_display();
  update_status_display();
}
