/*
 *  util.h
 *  gnc-avr-util
 *
 *  Created by Frank Goenninger 
 *  Copyright 2008 Goenninger&Company. All rights reserved.
 *
 *  $Id$
 */

#if !defined( __UTIL_H__ )
#define __UTIL_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "delay.h"

#define DEBUG_SHOW_STEP(s) { lcd_gotoxy(1,18); \
                             lcd_puts("   "); \
                             lcd_gotoxy(1,18); \
                             lcd_puts(s); \
                             asm volatile ("nop"); \
                             if( nDebugLevel > PSU_DEBUG_LEVEL_VERBOSE_1 ) \
                               delay_ms( 750 ); }


  void reset( void );
  void clear_display_and_update_status( void );

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
