/*
 *  delay.c
 *  gnc-avr-util
 *
 *  Created by Frank Goenninger on 02.01.08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#include <avr/wdt.h>
#include <avr/interrupt.h>
#include <avr/io.h>
#include <avr/eeprom.h>
#include <util/delay.h>

#include "delay.h"

void delay_ms( uint32_t nMilliSeconds )
{
  uint32_t nI;
  
  uint8_t nTmpSREG = SREG;
  cli();
  
  for( nI = 0; nI < nMilliSeconds; nI++ )
    _delay_ms( 1 );

  SREG = nTmpSREG;
}
