/*
 *  gaul.h
 *  
 *  The GNC AVR Utility Library
 *
 *  Created by Frank Goenninger on 02.01.08.
 *  Copyright 2008 Goenninger & Company. All rights reserved.
 *  
 *  $Id$
 */

#if !defined( __GAUL_H__ )
#define __GAUL_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "generic.h"

#include "lock.h"
#include "lcd.h"
#include "display.h"
#include "i2c_lcd.h"
#include "eeprom.h"
#include "error.h"
#include "timer.h"
#include "uart.h"
#include "delay.h"
#include "i2cmaster.h"
#include "i2c_util.h"
#include "delay.h"
#include "util.h"
#include "darc.h"


#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
