#if !defined( __I2C_UTIL_H__ )
#define __I2C_UTIL_H__

#ifdef __cplusplus
extern "C" {
#endif

#include <i2cmaster.h>

// --------------------------------------------------------------------------
// DEFINES                                                                   
// --------------------------------------------------------------------------

// --------------------------------------------------------------------------
// Function prototypes
// --------------------------------------------------------------------------

extern void i2c_write_byte( unsigned char addr, unsigned char data );
extern unsigned char i2c_read_byte( unsigned char addr );
extern void i2c_check_error( int nRC, char *pcFile, int nLine );

#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif

