/* -*- Mode: C -*- */

// ===========================================================================
//
//   This file:  L O C K . H
//
//   $Id: controller.h,v 1.5 2009/01/06 23:13:08 frgo Exp frgo $
//
// ===========================================================================

#if !defined( __LOCK_H__ )
#define __LOCK_H__

#ifdef __cplusplus
extern "C" {
#endif

#include "generic.h"
#include "error.h"

  // --------------------------------------------------------------------------
  // DEFINITIONS 
  // --------------------------------------------------------------------------

#define RC_ALREADY_LOCKED       (RC_COMMANDS_BASE +    9)
#define GET_LOCK_MAX_TRIES      5

  // --------------------------------------------------------------------------
  // DATA TYPES 
  // --------------------------------------------------------------------------

  // --------------------------------------------------------------------------
  // FUNCTION PROTOTYPES
  // --------------------------------------------------------------------------

  rc_t lock( void );
  void unlock( void );
  rc_t get_lock( void );
     
#ifdef __cplusplus
} /* closing brace for extern "C" */
#endif

#endif
